## ros-noetic-neonavigation-rviz-plugins 0.11.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(neonavigation_rviz_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-noetic-neonavigation-rviz-plugins 0.11.6

=== debian/changelog ===
ros-noetic-neonavigation-rviz-plugins (0.11.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-noetic-neonavigation-rviz-plugins (0.3.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 May 2020 00:00:00 -0000

ros-noetic-neonavigation-rviz-plugins (0.3.0-1buster) buster; urgency=high

  * Add trajectory_tracker_msgs plugin (#1 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/1>)
    
      * Initial drop
      * Add CI
      * Fix build errors and warnings
      * Disable quaternion validation on indigo
      * Don't validate linear_velocity field
      * Add package README
      * Cleanup code
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-neonavigation-rviz-plugins
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-neonavigation-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-trajectory-tracker-rviz-plugins
Description: Rviz plugins for neonavigation package

## ros-noetic-neonavigation-rviz-plugins 0.11.7

=== debian/changelog ===
ros-noetic-neonavigation-rviz-plugins (0.11.7-1focal) focal; urgency=high

  * neonavigation_rviz_plugins: add costmap_cspace_rviz_plugins as exec dependency (#43 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/43>)
  * Contributors: f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Jun 2023 00:00:00 -0000

ros-noetic-neonavigation-rviz-plugins (0.11.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-noetic-neonavigation-rviz-plugins (0.3.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 May 2020 00:00:00 -0000

ros-noetic-neonavigation-rviz-plugins (0.3.0-1focal) focal; urgency=high

  * Add trajectory_tracker_msgs plugin (#1 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/1>)
    
      * Initial drop
      * Add CI
      * Fix build errors and warnings
      * Disable quaternion validation on indigo
      * Don't validate linear_velocity field
      * Add package README
      * Cleanup code
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-neonavigation-rviz-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-trajectory-tracker-rviz-plugins
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-costmap-cspace-rviz-plugins, ros-noetic-trajectory-tracker-rviz-plugins
 Description: Rviz plugins for neonavigation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-neonavigation-rviz-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
